Subject: [bug#27344] Trilinos

From: [email-masked] (Ludovic Courtès)
Date: Wed, 11 Oct 2017 09:57:21 +0200

Hi Theodoros,

Theodoros Foradis <[email-masked]> skribis:

> Ludovic Courtès writes:
>
>> What about adding Trilinos as a first-class package, independently of
>> Xyce?  The package names could be “trilinos” and “trilinos-parallel”.
>>
>> However, Trilinos raises its own set of issues: it’s actually a set of
>> 50 packages, which we’d rather provide as separate packages:
>>
>>   https://trilinos.org/packages/
>>
>> Do you know which ones are useful to Xyce?
>
> The trilinos-serial-xyce and trilinos-parallel-xyce non-public packages
> I submitted *should* (according to Xyce's build instructions) include
> only the packages useful to Xyce. Also, they are the latest version that
> is compatible with Xyce (12.6.3), 12.12.1 being the latest release.
>
> Eric Bavier, had linked me with his WIP trilinos package
> (http://paste.lisp.org/display/330792) in IRC about a year ago.
>
> I figured out that since the trilinos version used with Xyce, will
> always be older than the current one, and some of the packages/configure
> flags of a general trilinos package won't be compatible with it, if it
> inherits a general trilinos package, it should be modified in respect to
> it every time there is a trilinos update.
>
> This is why I decided to submit two non-public trilinos xyce-specific
> packages, irrespective of the trilinos package we would like to include.

OK, that makes a lot of sense, thanks for explaining.

I think that if/when we have modular Trilinos packages (where each
Trilinos package maps to one Guix package), we can revisit this and have
Xyce depend on those.

I added a comment and committed, thank you for your patience!

Ludo’.